## Get a customer by ID **get** `/customers/{id}` Get a customer by ID ### Path Parameters - `id: string` ### Header Parameters - `"rotor-api-version": "1.1.0"` - `"1.1.0"` ### Returns - `data: optional object { id, address, company_name, 11 more }` - `id: optional string` - `address: optional object { city, country, state, 3 more }` - `city: string` - `country: string` - `state: string` - `street1: string` - `zip: string` - `street2: optional string` - `company_name: optional string` - `created_at: optional string` - `email: optional string` - `first_name: optional string` - `is_auto_pay: optional boolean` - `last_name: optional string` - `location: optional array of number` - `notes: optional string` - `phone: optional string` - `source: optional string` - `status: optional "active" or "inactive"` - `"active"` - `"inactive"` - `tags: optional array of string` - `status: optional string` ### Example ```http curl https://api.getrotor.com/open-api/customers/$ID \ -H "x-api-key: $ROTOR_API_KEY" ``` #### Response ```json { "data": { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "address": { "city": "city", "country": "country", "state": "state", "street1": "street1", "zip": "zip", "street2": "street2" }, "company_name": "company_name", "created_at": "2019-12-27T18:11:19.117Z", "email": "dev@stainless.com", "first_name": "first_name", "is_auto_pay": true, "last_name": "last_name", "location": [ 0 ], "notes": "notes", "phone": "phone", "source": "source", "status": "active", "tags": [ "string" ] }, "status": "success" } ```